Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tapestry5.internal
Class URLEventContext

    java.lang.Object
      org.apache.tapestry5.internal.AbstractEventContext
          org.apache.tapestry5.internal.URLEventContext

All Implemented Interfaces:
  EventContext

    public class URLEventContext

extends AbstractEventContext

Implementation based on values extracted from the URL (an event context, or a page activation context) that uses a `ContextValueEncoder` to convert from string values to the desired values.

Constructor Summary
`URLEventContext(ContextValueEncoder valueEncoder, java.lang.String[] values)`

Method Summary
`
`<T> T`
` | `get(java.lang.Class<T> desiredType, int index)` Extracts a parameter value and coerces or decodes it to the desired type.
`int` | `getCount()` Returns the number of parameter values that can be extracted.

Methods inherited from class org.apache.tapestry5.internal.AbstractEventContext
`toString, toStrings`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### URLEventContext

    public URLEventContext(ContextValueEncoder valueEncoder,
                           java.lang.String[] values)

Method Detail

### getCount

    public int getCount()

  Description copied from interface: `EventContext`
  Returns the number of parameter values that can be extracted.

### get

    public <T> T get(java.lang.Class<T> desiredType,
                     int index)

  Description copied from interface: `EventContext`
  Extracts a parameter value and coerces or decodes it to the desired type.

  Parameters:
    `desiredType` - the type of value required
    `index` - identifies which parameter value to extract
  Returns:
    the value extracted and converted or coerced

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2012 The Apache Software Foundation.